Skip to main content
POST
/
api
/
v2
/
channels
/
account-groups
Create Group
curl --request POST \
  --url https://aitoearn.cn/api/v2/channels/account-groups \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '
{
  "name": "<string>"
}
'
{
  "code": 0,
  "message": "Request succeeded",
  "data": {
    "id": "string",
    "name": "string",
    "hasBrowserConfig": true,
    "rank": 1,
    "ip": "string",
    "location": "string",
    "countryCode": "string",
    "proxyIp": "string",
    "isDefault": true,
    "createdAt": "2026-07-02T12:00:00.000Z",
    "updatedAt": "2026-07-02T12:00:00.000Z"
  }
}

Authorizations

X-Api-Key
string
header
required

Need to get API Key from AiToEarn. Click to go to "API Key Obtaining Tutorial".

Body

application/json
name
string
required

Group name

Minimum string length: 1
rank
number

sort value

ip
string

IP

location
string

Location

countryCode
string

country code

proxyIp
string

Proxy IP

browserConfig
object

Browser fingerprint configuration

Response

200 - application/json

The request has been processed by the service. Business success is determined by whether the response body has code === 0.

code
integer
required

Business status code. 0 means success; non-zero means a business error.

message
string
required

Response message.

data
object
requestId
string

Request ID.

timestamp
integer

Error response timestamp in Unix milliseconds.